﻿
@{
    Layout = null;
}
@using CofFIME.Models.Core;
<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <title>Pedidos</title>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link href="~/Content/Template/animate.min.css" rel="stylesheet" />
    <link href="~/Content/fontawesome-free-5.15.0-web/css/all.css" rel="stylesheet" />
    <link href="~/Content/Template/nivo-lightbox.css" rel="stylesheet" />
    <link href="~/Content/Template/nivo_themes/default/default.css" rel="stylesheet" />
    <link href="~/Content/pedidos.css" rel="stylesheet" />
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,500' rel='stylesheet' type='text/css'>
</head>
<body>

    <section>
        <div class="row no-gutters">
            <div class="col-lg-4 d-none d-lg-block">
                <div class="imagen min-vh-100">

                </div>
            </div>
            <div class="col-lg-8 d-flex flex-column min-vh-100" style="padding-left:10px;">
                <div class="row no-gutters">
                    <div class="py-lg-4 w-100">
                        <div class="col-12">
                            <h1>Realiza tu pedido</h1>
                        </div>
                    </div>
                    <div class="row w-100">
                        <div class="col-xs-12 col-md-6 scroll">
                            <div class="card">
                                <h5 class="card-header">Selecciona tus platillos</h5>
                                <div class="card-body">
                                    <form class="form-inline">
                                        <div class="form-group">
                                            <div class="form-group mx-sm-3 mb-2">
                                                <select class="form-control" id="selectfacus">
                                                    <option>Selecciona una facultad</option>
                                                    @foreach (ModFacultades fac in ViewBag.Facultades)
                                                    {
                                                        <option value="@fac.Id_facu">@fac.Nom_facu</option>
                                                    }
                                                </select>
                                            </div>
                                        </div>
                                    </form>
                                    <ul class="list-group list-group-flush" id="listplat">
                                        <!--LISTA DE PLATILLOS-->
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-xs-12 col-md-6 scroll">
                            <table class="table table-borderless">
                                <tbody id="tabCart">
                                </tbody>
                            </table>
                            <div class="row justify-content-between p-5">
                                <p>Total:</p>
                                <p id="total"></p>
                            </div>
                            <div class="row justify-content-between mb-2">
                                <a  href="@Url.Action("Index", "Facultades")" class="smoothScroll btnPed" style="text-decoration: none; cursor: pointer">Volver a Facultades</a>
                                <a onclick="showMod();" class="smoothScroll btnPed" style="text-decoration:none; cursor:pointer" id="btnPedido">Hacer pedido</a>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>




    <div class="modal fade" id="modalPedido" data-backdrop="static" data-keyboard="false" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title text-center" id="titulo"></h5>
                </div>
                <div class="modal-body">
                    <h5>Su pedido ha sido procesado con éxito.</h5>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal">Aceptar</button>
                </div>
            </div>
        </div>
    </div>

    @Scripts.Render("~/bundles/pedidos")

    
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.min.js" integrity="sha384-w1Q4orYjBQndcko6MimVbzY0tgp4pWB4lZ7lr30WKz0vr/aWKhXdBNmNb5D92v7s" crossorigin="anonymous"></script>

    <script type="text/javascript">
        var btnP = document.getElementById("btnPedido");

        $(document).ready(function () {
            $('#btnPedido').css("display", "none");
        });

        $("#selectfacus").on('change', function () {
            var selectedId = $("#selectfacus").val();
            console.log(selectedId);
            $.get('/Pedidos/GetPlatillos/' + selectedId, function (data) {
                var str = "";

                $.each(data, function (i, item) {
                    str = str +
                        "<li class='list-group-item'><div class='d-flex w-100 justify-content-between'><h5>" + item.Nombre +
                        "</h5><button type='button' class='btn btn-primary hvr-icon-wobble-horizontal' onclick='AddToCart(" + item.Facultad + ", " + 1 + ", " + item.IdPlatillo +
                        ")'><i class='fas fa-shopping-cart hvr-icon'></i></button></div><p>$" +
                        item.Precio +
                        "</p></li>"
                });

                $("#listplat").html(str);
            });
        });

        var tabCart = document.getElementById("tabCart");
        var total = document.getElementById("total");

        function datosCarrito() {
            console.log("Datos carrito");

            $.get('/Pedidos/GetCarrito', function (data) {
                var content = "";
                var tot = 0;
                var printTot = "";
                console.log(data.length);

                if (data.length < 1) {
                    $('#btnPedido').css("display", "none");
                }
               
                $.each(data, function (i, item) {
                    content = content +
                        "<tr><td>" + item.NombrePlat + "</td><td>$" + item.PrecioPlat +
                        "</td><td><button type='button' class='btn btn-danger smoothScroll hvr-icon-shrink' onclick='BorrarItem(" + item.IdPed +
                        ");' > <i class='fas fa-trash hvr-icon'></i></button></td></tr>";

                    tot = tot + item.PrecioPlat;
                });
                printTot = "$" + tot;

                $("#tabCart").html(content);
                $("#total").html(printTot);
            });
        }

        //function drawCarrito(array) {
        //    console.log("Pinta el carrito");
        //    console.log(array);
        //    var content = tabCart.innerHTML;
        //    var tot = total.innerHTML;
        //    content = "";
        //    tot = "";

        //    for (i of array) {
        //        var row = '<tr><td>' + array.NombrePlat + '</td><td>$' + array.PrecioPlat +
        //            '</td><td><button type="button" class="btn btn-danger" onclick="BorrarItem(' + array.IdPed +
        //            ');"><i class="fas fa-trash"></i></button></td></tr>';

        //        content = content + row;
        //        tot = tot + array.PrecioPlat;
        //    }
        //    tabCart.innerHTML = content;
        //    total.innerHTML = tot;
        //}

        function AddToCart(fac, usr, plat) {
            console.log("Facu: " + fac + "Usuario: " + usr + "plat: " + plat);
            $.ajax({
                type: "POST",
                url: "/Pedidos/Carrito",
                data: {
                    "IdFac": fac,
                    "IdUsr": usr,
                    "IdPlat": plat
                },
                success: (response) => {
                    console.log(response);
                    if (response) {
                        datosCarrito();
                        $('#btnPedido').css("display", "block");
                    }
                    return response;
                },
                error: (e) => {
                    console.log("Hubo un error?");
                    console.log(e);
                }
            });
            console.log("Salio del ajax");
        }

        function BorrarItem(id) {
            $.ajax({
                type: "Delete",
                url: "/Pedidos/DeleteItem/" + id,
                success: (s) => {
                    datosCarrito();
                    return s;
                },
                error: (e) => {
                    alert('No fue posible eliminar el artículo');
                }
            });
        }

        function showMod() {
            $('#modalPedido').modal('show');
            var numped = "Pedido Número ";
            var aleatorio = Math.round(Math.random() * 100);
            numped = numped + aleatorio;

            $('#titulo').html(numped);

        }

    </script>
</body>
</html>